Bug 221835 - gdm[XXXX]: (null): cannot open shared object file: No such file or directory
gdm[XXXX]: (null): cannot open shared object file: No such file or directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 09:16 EST by Erik Sohns
Modified: 2008-03-18 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
estrella_gdmDebug.log (18.27 KB, text/plain)
2008-02-13 16:58 EST, csb sysadmin
no flags Details

  None (edit)
Description Erik Sohns 2007-01-08 09:16:15 EST
Description of problem:
recurring bootup syslog entry:
Jan  8 13:12:27 worms gdm[2833]: (null): cannot open shared object file: No such
file or directory

Version-Release number of selected component (if applicable):
Name        : gdm                          Relocations: (not relocatable)
Version     : 2.16.4                            Vendor: Red Hat, Inc.
Release     : 1.fc6                         Build Date: Fri 15 Dec 2006 05:28:53
PM CET
Install Date: Mon 18 Dec 2006 12:20:19 AM CET      Build Host:
hs20-bc2-3.build.redhat.com
Group       : User Interface/X              Source RPM: gdm-2.16.4-1.fc6.src.rpm
Size        : 11191239                         License: LGPL/GPL
Signature   : DSA/SHA1, Fri 15 Dec 2006 07:51:51 PM CET, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : ftp://ftp.gnome.org/pub/GNOME/sources/gdm
Summary     : The GNOME Display Manager.

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2007-01-08 09:28:26 EST
that's a harmless warning related to the smart card code.  It should probably
only be printed if debugging is enabled though.
Comment 2 Kevin Duckett 2007-07-27 16:19:17 EDT
(In reply to comment #1)
> that's a harmless warning related to the smart card code.  It should probably
> only be printed if debugging is enabled though.

I have the same issue on my Fedora 7 laptop. My question is this, what is 
the "smart card code"? Is it something built into the GDM binary. I'm hoping 
its something that I can uninstall to rid my messages log of this warning.
Comment 3 Ray Strode [halfline] 2007-07-27 17:06:20 EDT
as a workaround, I think if you install coolkey the message should go away.
Comment 4 csb sysadmin 2008-02-12 16:34:34 EST
I'm not so sure if it's harmless. I no longer have a gui nor can I see the
console on my system (ssh still works). I have the following error messages in
/var/log/messages:

Feb 12 15:11:32 estrella gdm[17038]: Failed to start X server several times in a
short time period; disabling display :0
Feb 12 15:11:40 estrella gdm[18706]: (null): cannot open shared object file: No
such file or directory
Feb 12 15:11:42 estrella gdm[18740]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Feb 12 15:11:48 estrella gdm[18761]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Feb 12 15:11:53 estrella gdm[18796]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Feb 12 15:11:53 estrella gdm[18706]: deal_with_x_crashes: Running the
XKeepsCrashing script

There are no warnings or errors with the nv or nvidia drivers in
/var/log/Xorg.0.log . Trying the latest nvidia 171.05 driver just causes the
nvidia splash to flash the same number of times gdm tries to restart itself.
After the crash gdm is still running:

[root@estrella X11]# ps aux | grep gdm
root     20570  0.0  0.1  15600  3568 ?        Ss   15:23   0:00
/usr/sbin/gdm-binary -nodaemon
root     20689  0.0  0.0   4664  1056 ?        Ss   15:23   0:00 /bin/sh
/etc/gdm/XKeepsCrashing
root     20710  0.0  0.0   1628   344 ?        S    15:23   0:00
/usr/libexec/gdmopen -l /bin/sh -c /etc/gdm/XKeepsCrashing -noopen 
root     20711  0.0  0.0   4664  1056 tty9     Ss+  15:23   0:00 /bin/sh
/etc/gdm/XKeepsCrashing -noopen
root     21318  0.0  0.0   3896   668 pts/8    S+   15:31   0:00 grep gdm

[root@estrella X11]# lspci | grep -i vga
01:00.0 VGA compatible controller: nVidia Corporation NV34GL [Quadro FX 500/600
PCI] (rev a1)

it's actually an agp. I can show you the outputs of cat /proc/driver/nvidia
files if necessary but I'm trying to get nv working again first. any ideas?
Comment 5 csb sysadmin 2008-02-12 17:23:59 EST
btw this is on:

Linux estrella 2.6.18-79.el5 #1 SMP Fri Feb 8 01:28:14 EST 2008 i686 i686 i386
GNU/Linux

Red Hat Enterprise Linux Server release 5.1 (Tikanga)
Comment 6 Ray Strode [halfline] 2008-02-12 23:08:00 EST
can you turn on Enable=true in the [debug] section of /etc/gdm/custom.conf and
post /var/log/messages with the updated debugging messages?
Comment 7 csb sysadmin 2008-02-13 16:58:49 EST
Created attachment 294843 [details]
estrella_gdmDebug.log

grep -i gdm /var/log/messages , with Enable=true in /etc/gdm/custom.conf under
[debug] section.
Comment 8 Alan Bartlett 2008-03-11 13:27:10 EDT
Also noted with RHEL 5 update 1 (and was probably present prior to U1).
Comment 9 Ray Strode [halfline] 2008-03-18 14:41:50 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.